4 Replies Latest reply: Dec 31, 2012 10:48 AM by Gary Scotland
Pedro Argaez Level 1 Level 1 (0 points)

I am trying to delete an old version of itunes in my ibook G4 so I can install the newest version and can not delete the old version because it says I don't have enough privileges, help?


iBook, Mac OS X (10.4.11)